Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-1.5.dat
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-1.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-1.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,90 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="2-methylcyclohexanone", N=20, E=66, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+2.1538 -0.9828 -0.0592 9
+0.7532 -0.6233 0.4408 9
+0.4585 0.8269 0.1271 13
+-0.2867 -1.4963 -0.2695 10
+1.3238 1.5584 -0.2904 3
+-0.9481 1.3372 0.3495 12
+-1.6911 -1.0384 0.1276 9
+-1.9262 0.3931 -0.3574 9
+2.8899 -0.3488 0.435 3
+2.3635 -2.028 0.168 3
+2.2058 -0.8277 -1.1369 3
+0.6964 -0.7839 1.5174 5
+-0.1649 -1.4016 -1.3485 5
+-0.1477 -2.5373 0.0223 4
+-1.1657 1.3573 1.4173 5
+-1.0433 2.3407 -0.0654 6
+-2.4294 -1.7002 -0.3251 4
+-1.7907 -1.0743 1.2124 3
+-2.9493 0.6912 -0.128 4
+-1.7656 0.443 -1.4344 5
+
+1 9 10
+1 9 10
+1 10 12
+1 9 12
+1 9 11
+1 10 11
+1 10 11
+1 11 13
+1 4 10
+1 4 13
+4 13 14
+4 13 14
+4 14 17
+4 13 17
+4 10 14
+13 17 20
+8 17 20
+8 19 20
+8 19 20
+8 17 19
+8 16 20
+8 16 19
+6 16 19
+6 15 16
+6 15 16
+6 15 19
+3 6 16
+3 6 16
+3 5 16
+3 5 16
+6 16 20
+3 6 20
+3 6 15
+3 6 15
+3 12 15
+3 12 15
+2 3 12
+2 3 12
+2 3 6
+6 15 18
+2 12 18
+2 9 12
+6 7 18
+2 7 18
+2 6 7
+2 3 9
+3 5 9
+3 5 11
+2 3 11
+2 11 13
+2 3 13
+3 4 13
+4 13 20
+4 8 20
+3 8 20
+3 4 8
+5 9 11
+10 12 14
+12 14 18
+7 14 18
+7 17 18
+7 17 18
+7 14 17
+7 17 19
+7 18 19
+15 18 19
Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-2.5.dat
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-2.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-2.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,42 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="2-methylcyclohexanone", N=14, E=24, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+0.4585 0.8269 0.1271 3
+1.3238 1.5584 -0.2904 2
+2.8899 -0.3488 0.435 0
+2.3635 -2.028 0.168 0
+2.2058 -0.8277 -1.1369 0
+0.6964 -0.7839 1.5174 1
+-0.1649 -1.4016 -1.3485 1
+-0.1477 -2.5373 0.0223 0
+-1.1657 1.3573 1.4173 1
+-1.0433 2.3407 -0.0654 0
+-2.4294 -1.7002 -0.3251 0
+-1.7907 -1.0743 1.2124 0
+-2.9493 0.6912 -0.128 0
+-1.7656 0.443 -1.4344 0
+
+3 4 5
+2 3 5
+2 5 7
+2 7 14
+2 10 14
+10 13 14
+9 10 13
+9 12 13
+11 12 13
+6 9 12
+6 8 12
+4 6 8
+8 11 12
+3 4 6
+1 6 9
+1 2 6
+2 3 6
+1 2 9
+2 9 10
+11 13 14
+7 11 14
+7 8 11
+4 7 8
+4 5 7
Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-2.dat
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-2.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-2.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,44 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="2-methylcyclohexanone", N=14, E=26, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+0.4585 0.8269 0.1271 8
+1.3238 1.5584 -0.2904 2
+2.8899 -0.3488 0.435 1
+2.3635 -2.028 0.168 0
+2.2058 -0.8277 -1.1369 1
+0.6964 -0.7839 1.5174 1
+-0.1649 -1.4016 -1.3485 1
+-0.1477 -2.5373 0.0223 0
+-1.1657 1.3573 1.4173 1
+-1.0433 2.3407 -0.0654 0
+-2.4294 -1.7002 -0.3251 0
+-1.7907 -1.0743 1.2124 0
+-2.9493 0.6912 -0.128 0
+-1.7656 0.443 -1.4344 1
+
+3 4 5
+2 3 5
+4 5 7
+4 7 8
+7 8 11
+7 11 14
+11 13 14
+11 12 13
+9 12 13
+9 10 13
+10 13 14
+6 9 12
+1 6 9
+1 3 6
+1 2 3
+1 2 9
+2 9 10
+6 8 12
+4 6 8
+8 11 12
+3 4 6
+2 10 14
+1 2 14
+1 7 14
+1 5 7
+1 2 5
Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-25.dat
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-25.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-25.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,39 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="2-methylcyclohexanone", N=13, E=22, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+1.3238 1.5584 -0.2904 0
+2.8899 -0.3488 0.435 0
+2.3635 -2.028 0.168 0
+2.2058 -0.8277 -1.1369 0
+0.6964 -0.7839 1.5174 0
+-0.1649 -1.4016 -1.3485 0
+-0.1477 -2.5373 0.0223 0
+-1.1657 1.3573 1.4173 0
+-1.0433 2.3407 -0.0654 0
+-2.4294 -1.7002 -0.3251 0
+-1.7907 -1.0743 1.2124 0
+-2.9493 0.6912 -0.128 0
+-1.7656 0.443 -1.4344 0
+
+2 3 4
+1 2 4
+1 4 13
+1 9 13
+4 6 13
+6 10 13
+6 7 10
+3 6 7
+3 4 6
+10 12 13
+9 12 13
+8 9 12
+8 11 12
+10 11 12
+5 8 11
+5 7 11
+3 5 7
+7 10 11
+2 3 5
+2 5 8
+1 2 8
+1 8 9
Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-3.5.dat
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-3.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-3.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,39 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="2-methylcyclohexanone", N=13, E=22, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+1.3238 1.5584 -0.2904 1
+2.8899 -0.3488 0.435 0
+2.3635 -2.028 0.168 0
+2.2058 -0.8277 -1.1369 0
+0.6964 -0.7839 1.5174 1
+-0.1649 -1.4016 -1.3485 0
+-0.1477 -2.5373 0.0223 0
+-1.1657 1.3573 1.4173 0
+-1.0433 2.3407 -0.0654 0
+-2.4294 -1.7002 -0.3251 0
+-1.7907 -1.0743 1.2124 0
+-2.9493 0.6912 -0.128 0
+-1.7656 0.443 -1.4344 0
+
+2 3 4
+1 2 4
+1 4 13
+4 6 13
+1 9 13
+9 12 13
+8 9 12
+8 11 12
+10 11 12
+5 8 11
+5 7 11
+3 5 7
+7 10 11
+2 3 5
+1 2 5
+1 5 8
+1 8 9
+10 12 13
+6 10 13
+6 7 10
+3 6 7
+3 4 6
Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-3.dat
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-3.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-3.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,42 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="2-methylcyclohexanone", N=14, E=24, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+0.4585 0.8269 0.1271 3
+1.3238 1.5584 -0.2904 2
+2.8899 -0.3488 0.435 0
+2.3635 -2.028 0.168 0
+2.2058 -0.8277 -1.1369 0
+0.6964 -0.7839 1.5174 1
+-0.1649 -1.4016 -1.3485 1
+-0.1477 -2.5373 0.0223 0
+-1.1657 1.3573 1.4173 1
+-1.0433 2.3407 -0.0654 0
+-2.4294 -1.7002 -0.3251 0
+-1.7907 -1.0743 1.2124 0
+-2.9493 0.6912 -0.128 0
+-1.7656 0.443 -1.4344 0
+
+3 4 5
+2 3 5
+2 5 7
+2 7 14
+2 10 14
+10 13 14
+9 10 13
+9 12 13
+11 12 13
+6 9 12
+6 8 12
+4 6 8
+8 11 12
+3 4 6
+1 6 9
+1 2 6
+1 2 9
+2 3 6
+2 9 10
+11 13 14
+7 11 14
+7 8 11
+4 7 8
+4 5 7
Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-4.dat
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-4.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/post/NonConvexEnvelope-2-methylcyclohexanone-4.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,39 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="2-methylcyclohexanone", N=13, E=22, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+1.3238 1.5584 -0.2904 1
+2.8899 -0.3488 0.435 0
+2.3635 -2.028 0.168 0
+2.2058 -0.8277 -1.1369 0
+0.6964 -0.7839 1.5174 1
+-0.1649 -1.4016 -1.3485 0
+-0.1477 -2.5373 0.0223 0
+-1.1657 1.3573 1.4173 0
+-1.0433 2.3407 -0.0654 0
+-2.4294 -1.7002 -0.3251 0
+-1.7907 -1.0743 1.2124 0
+-2.9493 0.6912 -0.128 0
+-1.7656 0.443 -1.4344 0
+
+2 3 4
+1 2 4
+1 4 13
+4 6 13
+1 9 13
+9 12 13
+8 9 12
+8 11 12
+10 11 12
+5 8 11
+5 7 11
+3 5 7
+7 10 11
+2 3 5
+1 2 5
+1 5 8
+1 8 9
+10 12 13
+6 10 13
+6 7 10
+3 6 7
+3 4 6
Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/pre/2-methylcyclohexanone.xyz
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/pre/2-methylcyclohexanone.xyz	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/pre/2-methylcyclohexanone.xyz	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,22 @@
+20
+NCI NSC 524 2-Metilcicloesanone (ITALIAN)
+C    2.1538   -0.9828   -0.0592
+C    0.7532   -0.6233    0.4408
+C    0.4585    0.8269    0.1271
+C   -0.2867   -1.4963   -0.2695
+O    1.3238    1.5584   -0.2904
+C   -0.9481    1.3372    0.3495
+C   -1.6911   -1.0384    0.1276
+C   -1.9262    0.3931   -0.3574
+H    2.8899   -0.3488    0.4350
+H    2.3635   -2.0280    0.1680
+H    2.2058   -0.8277   -1.1369
+H    0.6964   -0.7839    1.5174
+H   -0.1649   -1.4016   -1.3485
+H   -0.1477   -2.5373    0.0223
+H   -1.1657    1.3573    1.4173
+H   -1.0433    2.3407   -0.0654
+H   -2.4294   -1.7002   -0.3251
+H   -1.7907   -1.0743    1.2124
+H   -2.9493    0.6912   -0.1280
+H   -1.7656    0.4430   -1.4344
Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/testsuite-2-methylcyclohexanone.at
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/testsuite-2-methylcyclohexanone.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/testsuite-2-methylcyclohexanone.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,40 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 2-methylcyclohexanone
+
+AT_SETUP([Non-convex Tesselations - 2-methylcyclohexanone])
+AT_KEYWORDS([tesselation non-convex-envelope])
+
+mol=2-methylcyclohexanone
+
+file=${mol}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+for RADIUS in  1.5 2 2.5 3 3.5 4 25; do
+	output=NonConvexEnvelope-${mol}-${RADIUS}.dat
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 -N ${RADIUS} --nonconvex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+done
+
+AT_CLEANUP
+
+
+