Index: tests/regression/Domain/6/post/test-x.conf.xyz
===================================================================
--- tests/regression/Domain/6/post/test-x.conf.xyz	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Domain/6/post/test-x.conf.xyz	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -1,24 +1,24 @@
 22
 	Created by molecuilder on Mon May 31 19:07:16 2010
-H	9.78209	2.64589	2.64589	
-C	27.2836	3.27519	3.53589	
-C	28.5328	4.15859	3.53589	
-C	29.7821	3.27519	3.53589	
-H	27.2836	2.64589	4.42589	
-H	9.78209	2.64589	4.42589	
-H	10.672	3.90454	3.53589	
-H	8.53279	4.78789	2.64589	
-H	27.2836	2.64589	2.64589	
-H	26.3936	3.90454	3.53589	
-H	28.5328	4.78789	4.42589	
-H	28.5328	4.78789	2.64589	
-H	30.672	3.90454	3.53589	
-H	29.7821	2.64589	4.42589	
-H	29.7821	2.64589	2.64589	
-H	8.53279	4.78789	4.42589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
-C	9.78209	3.27519	3.53589	
-C	8.53279	4.15859	3.53589	
-C	7.28359	3.27519	3.53589	
+H	9.78209	2.64589	2.64589
+C	27.2836	3.27519	3.53589
+C	28.5328	4.15859	3.53589
+C	29.7821	3.27519	3.53589
+H	27.2836	2.64589	4.42589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	27.2836	2.64589	2.64589
+H	26.3936	3.90454	3.53589
+H	28.5328	4.78789	4.42589
+H	28.5328	4.78789	2.64589
+H	30.672	3.90454	3.53589
+H	29.7821	2.64589	4.42589
+H	29.7821	2.64589	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test-y.conf.xyz
===================================================================
--- tests/regression/Domain/6/post/test-y.conf.xyz	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Domain/6/post/test-y.conf.xyz	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -1,24 +1,24 @@
 22
 	Created by molecuilder on Mon May 31 19:07:16 2010
-H	9.78209	2.64589	2.64589	
-C	7.28359	23.2752	3.53589	
-C	8.53279	24.1586	3.53589	
-C	9.78209	23.2752	3.53589	
-H	7.28359	22.6459	4.42589	
-H	9.78209	2.64589	4.42589	
-H	10.672	3.90454	3.53589	
-H	8.53279	4.78789	2.64589	
-H	7.28359	22.6459	2.64589	
-H	6.39363	23.9045	3.53589	
-H	8.53279	24.7879	4.42589	
-H	8.53279	24.7879	2.64589	
-H	10.672	23.9045	3.53589	
-H	9.78209	22.6459	4.42589	
-H	9.78209	22.6459	2.64589	
-H	8.53279	4.78789	4.42589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
-C	9.78209	3.27519	3.53589	
-C	8.53279	4.15859	3.53589	
-C	7.28359	3.27519	3.53589	
+H	9.78209	2.64589	2.64589
+C	7.28359	23.2752	3.53589
+C	8.53279	24.1586	3.53589
+C	9.78209	23.2752	3.53589
+H	7.28359	22.6459	4.42589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	7.28359	22.6459	2.64589
+H	6.39363	23.9045	3.53589
+H	8.53279	24.7879	4.42589
+H	8.53279	24.7879	2.64589
+H	10.672	23.9045	3.53589
+H	9.78209	22.6459	4.42589
+H	9.78209	22.6459	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test-z.conf.xyz
===================================================================
--- tests/regression/Domain/6/post/test-z.conf.xyz	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Domain/6/post/test-z.conf.xyz	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -1,24 +1,24 @@
 22
 	Created by molecuilder on Mon May 31 19:07:16 2010
-H	9.78209	2.64589	2.64589	
-C	7.28359	3.27519	23.5359	
-C	8.53279	4.15859	23.5359	
-C	9.78209	3.27519	23.5359	
-H	7.28359	2.64589	24.4259	
-H	9.78209	2.64589	4.42589	
-H	10.672	3.90454	3.53589	
-H	8.53279	4.78789	2.64589	
-H	7.28359	2.64589	22.6459	
-H	6.39363	3.90454	23.5359	
-H	8.53279	4.78789	24.4259	
-H	8.53279	4.78789	22.6459	
-H	10.672	3.90454	23.5359	
-H	9.78209	2.64589	24.4259	
-H	9.78209	2.64589	22.6459	
-H	8.53279	4.78789	4.42589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
-C	9.78209	3.27519	3.53589	
-C	8.53279	4.15859	3.53589	
-C	7.28359	3.27519	3.53589	
+H	9.78209	2.64589	2.64589
+C	7.28359	3.27519	23.5359
+C	8.53279	4.15859	23.5359
+C	9.78209	3.27519	23.5359
+H	7.28359	2.64589	24.4259
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	7.28359	2.64589	22.6459
+H	6.39363	3.90454	23.5359
+H	8.53279	4.78789	24.4259
+H	8.53279	4.78789	22.6459
+H	10.672	3.90454	23.5359
+H	9.78209	2.64589	24.4259
+H	9.78209	2.64589	22.6459
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test.conf.xyz
===================================================================
--- tests/regression/Domain/6/post/test.conf.xyz	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Domain/6/post/test.conf.xyz	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -1,13 +1,13 @@
 11
 	Created by molecuilder on Mon May 31 19:21:12 2010
-H	9.78209	2.64589	2.64589	
-H	9.78209	2.64589	4.42589	
-H	10.672	3.90454	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
-C	9.78209	3.27519	3.53589	
-C	8.53279	4.15859	3.53589	
-C	7.28359	3.27519	3.53589	
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589