Index: tests/Python/ForceAnnealing/post/five_carbon_test_no-bondgraph.data
===================================================================
--- tests/Python/ForceAnnealing/post/five_carbon_test_no-bondgraph.data	(revision be729b8e140cb18e4bfb30b4ede99f2aac8db370)
+++ tests/Python/ForceAnnealing/post/five_carbon_test_no-bondgraph.data	(revision 038ccd39c6a92b2b7929d93265ae28b44ab2fb5d)
@@ -8,120 +8,120 @@
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
 C	1	6	10	10	0	0	0	-0.014002	0	0	2	0	0	0	
-C	2	7.57354	10	10	-0.0264589	0	0	-0.208581	0	0	1	3	0	0	
-C	3	8.75292	10	10	0.0529177	0	0	0.445144	0	0	2	4	0	0	
-C	4	10.7735	10	10	-0.0264589	0	0	-0.208538	0	0	3	5	0	0	
+C	2	7.57354	10	10	0	0	0	-0.208581	0	0	1	3	0	0	
+C	3	8.75292	10	10	0	0	0	0.445144	0	0	2	4	0	0	
+C	4	10.7735	10	10	0	0	0	-0.208538	0	0	3	5	0	0	
 C	5	12.4	10	10	0	0	0	-0.0140232	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.9986	10	10	-0.0014002	0	0	-0.065401	0	0	2	0	0	0	
-C	2	7.47501	10	10	-0.0985358	0	0	0.0432973	0	0	1	3	0	0	
-C	3	9.03324	10	10	0.280317	0	0	0.0442551	0	0	2	4	0	0	
-C	4	10.6751	10	10	-0.0984414	0	0	0.043202	0	0	3	5	0	0	
-C	5	12.3986	10	10	-0.00140232	0	0	-0.0653534	0	0	4	0	0	0	
+C	1	5.9986	10	10	0	0	0	-0.065401	0	0	2	0	0	0	
+C	2	7.47501	10	10	0	0	0	0.0432973	0	0	1	3	0	0	
+C	3	9.03324	10	10	0	0	0	0.0442551	0	0	2	4	0	0	
+C	4	10.6751	10	10	0	0	0	0.043202	0	0	3	5	0	0	
+C	5	12.3986	10	10	0	0	0	-0.0653534	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.99682	10	10	-0.00178164	0	0	-0.0555001	0	0	2	0	0	0	
-C	2	7.49194	10	10	0.0169381	0	0	0.0408101	0	0	1	3	0	0	
-C	3	9.06418	10	10	0.0309449	0	0	0.0294117	0	0	2	4	0	0	
-C	4	10.692	10	10	0.0168939	0	0	0.0407361	0	0	3	5	0	0	
-C	5	12.3968	10	10	-0.00178543	0	0	-0.0554578	0	0	4	0	0	0	
+C	1	5.99682	10	10	0	0	0	-0.0555001	0	0	2	0	0	0	
+C	2	7.49194	10	10	0	0	0	0.0408101	0	0	1	3	0	0	
+C	3	9.06418	10	10	0	0	0	0.0294117	0	0	2	4	0	0	
+C	4	10.692	10	10	0	0	0	0.0407361	0	0	3	5	0	0	
+C	5	12.3968	10	10	0	0	0	-0.0554578	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98683	10	10	-0.00998711	0	0	0.0968606	0	0	2	0	0	0	
-C	2	7.76987	10	10	0.277929	0	0	-0.226176	0	0	1	3	0	0	
-C	3	9.1255	10	10	0.0613162	0	0	0.259281	0	0	2	4	0	0	
-C	4	10.9711	10	10	0.279075	0	0	-0.227493	0	0	3	5	0	0	
-C	5	12.3868	10	10	-0.010006	0	0	0.0975274	0	0	4	0	0	0	
+C	1	5.98683	10	10	0	0	0	0.0968606	0	0	2	0	0	0	
+C	2	7.76987	10	10	0	0	0	-0.226176	0	0	1	3	0	0	
+C	3	9.1255	10	10	0	0	0	0.259281	0	0	2	4	0	0	
+C	4	10.9711	10	10	0	0	0	-0.227493	0	0	3	5	0	0	
+C	5	12.3868	10	10	0	0	0	0.0975274	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.99318	10	10	0.00634913	0	0	-0.0310892	0	0	2	0	0	0	
-C	2	7.53443	10	10	-0.235446	0	0	0.0629615	0	0	1	3	0	0	
-C	3	9.19466	10	10	0.0691615	0	0	-0.0637606	0	0	2	4	0	0	
-C	4	10.7344	10	10	-0.236692	0	0	0.0630038	0	0	3	5	0	0	
-C	5	12.3932	10	10	0.0063788	0	0	-0.0311156	0	0	4	0	0	0	
+C	1	5.99167	10	10	0	0	0	-0.0302901	0	0	2	0	0	0	
+C	2	7.53443	10	10	0	0	0	0.0621625	0	0	1	3	0	0	
+C	3	9.19466	10	10	0	0	0	-0.0637606	0	0	2	4	0	0	
+C	4	10.7344	10	10	0	0	0	0.0622101	0	0	3	5	0	0	
+C	5	12.3917	10	10	0	0	0	-0.0303219	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.99164	10	10	-0.00154271	0	0	-0.00314331	0	0	2	0	0	0	
-C	2	7.5857	10	10	0.0512699	0	0	0.000661472	0	0	1	3	0	0	
-C	3	9.18101	10	10	-0.0136508	0	0	0.00496368	0	0	2	4	0	0	
-C	4	10.7857	10	10	0.0513344	0	0	0.000640304	0	0	3	5	0	0	
-C	5	12.3916	10	10	-0.00154288	0	0	-0.00312215	0	0	4	0	0	0	
+C	1	5.99092	10	10	0	0	0	-0.00303219	0	0	2	0	0	0	
+C	2	7.58519	10	10	0	0	0	0.000820225	0	0	1	3	0	0	
+C	3	9.18101	10	10	0	0	0	0.00442921	0	0	2	4	0	0	
+C	4	10.7852	10	10	0	0	0	0.000799058	0	0	3	5	0	0	
+C	5	12.3909	10	10	0	0	0	-0.00301631	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.99146	10	10	-0.000173522	0	0	-0.00276231	0	0	2	0	0	0	
-C	2	7.58624	10	10	0.000544359	0	0	0.000513302	0	0	1	3	0	0	
-C	3	9.18199	10	10	0.000985944	0	0	0.00447684	0	0	2	4	0	0	
-C	4	10.7862	10	10	0.000527065	0	0	0.000576803	0	0	3	5	0	0	
-C	5	12.3915	10	10	-0.000172079	0	0	-0.00280464	0	0	4	0	0	0	
+C	1	5.99083	10	10	0	0	0	-0.00263001	0	0	2	0	0	0	
+C	2	7.58586	10	10	0	0	0	8.99601e-05	0	0	1	3	0	0	
+C	3	9.18106	10	10	0	0	0	0.00510127	0	0	2	4	0	0	
+C	4	10.7859	10	10	0	0	0	3.17506e-05	0	0	3	5	0	0	
+C	5	12.3908	10	10	0	0	0	-0.00259297	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.99021	10	10	-0.00125803	0	0	-0.00110069	0	0	2	0	0	0	
-C	2	7.58813	10	10	0.00188582	0	0	0.00265118	0	0	1	3	0	0	
-C	3	9.19106	10	10	0.0090664	0	0	-0.00158224	0	0	2	4	0	0	
-C	4	10.791	10	10	0.00478751	0	0	-0.000497427	0	0	3	5	0	0	
-C	5	12.39	10	10	-0.00152003	0	0	0.000529177	0	0	4	0	0	0	
+C	1	5.99028	10	10	0	0	0	-0.00229134	0	0	2	0	0	0	
+C	2	7.58595	10	10	0	0	0	-7.40848e-05	0	0	1	3	0	0	
+C	3	9.18148	10	10	0	0	0	0.00470439	0	0	2	4	0	0	
+C	4	10.7859	10	10	0	0	0	-1.05835e-05	0	0	3	5	0	0	
+C	5	12.3903	10	10	0	0	0	-0.00232838	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98937	10	10	-0.000833346	0	0	0.000582095	0	0	2	0	0	0	
-C	2	7.59047	10	10	0.0023386	0	0	-0.00152403	0	0	1	3	0	0	
-C	3	9.18869	10	10	-0.00236756	0	0	0.00100015	0	0	2	4	0	0	
-C	4	10.7888	10	10	-0.00221688	0	0	0.000682639	0	0	3	5	0	0	
-C	5	12.3902	10	10	0.000241275	0	0	-0.000740848	0	0	4	0	0	0	
+C	1	5.98655	10	10	0	0	0	-0.000317506	0	0	2	0	0	0	
+C	2	7.58595	10	10	0	0	0	0.000587387	0	0	1	3	0	0	
+C	3	9.18646	10	10	0	0	0	-0.00056622	0	0	2	4	0	0	
+C	4	10.7859	10	10	0	0	0	0.000243422	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98966	10	10	0.000288264	0	0	-2.64589e-05	0	0	2	0	0	0	
-C	2	7.58961	10	10	-0.000853633	0	0	2.64589e-05	0	0	1	3	0	0	
-C	3	9.18961	10	10	0.000916944	0	0	0.000259297	0	0	2	4	0	0	
-C	4	10.7901	10	10	0.00128241	0	0	-0.000259297	0	0	3	5	0	0	
-C	5	12.3901	10	10	-0.000140744	0	0	0	0	0	4	0	0	0	
+C	1	5.98596	10	10	0	0	0	-5.29177e-06	0	0	2	0	0	0	
+C	2	7.58595	10	10	0	0	0	0.000275172	0	0	1	3	0	0	
+C	3	9.18646	10	10	0	0	0	-0.00056622	0	0	2	4	0	0	
+C	4	10.7859	10	10	0	0	0	0.000243422	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98965	10	10	-1.25332e-05	0	0	-1.05835e-05	0	0	2	0	0	0	
-C	2	7.58963	10	10	1.45671e-05	0	0	0.000169337	0	0	1	3	0	0	
-C	3	9.18993	10	10	0.00032093	0	0	-0.000280464	0	0	2	4	0	0	
-C	4	10.7897	10	10	-0.000353023	0	0	0.000333382	0	0	3	5	0	0	
-C	5	12.3901	10	10	0	0	0	-0.000211671	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	-9.48677e-21	0	0	2	0	0	0	
+C	2	7.58595	10	10	0	0	0	0.00026988	0	0	1	3	0	0	
+C	3	9.18646	10	10	0	0	0	-0.00056622	0	0	2	4	0	0	
+C	4	10.7859	10	10	0	0	0	0.000243422	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98964	10	10	-8.35549e-06	0	0	1.35525e-21	0	0	2	0	0	0	
-C	2	7.58964	10	10	1.72647e-05	0	0	6.35013e-05	0	0	1	3	0	0	
-C	3	9.18976	10	10	-0.000166758	0	0	1.05835e-05	0	0	2	4	0	0	
-C	4	10.7899	10	10	0.000198575	0	0	-2.11671e-05	0	0	3	5	0	0	
-C	5	12.39	10	10	-2.11671e-05	0	0	-5.29177e-05	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	4.23342e-05	0	0	2	0	0	0	
+C	2	7.58603	10	10	0	0	0	0.000185212	0	0	1	3	0	0	
+C	3	9.18646	10	10	0	0	0	-0.000523885	0	0	2	4	0	0	
+C	4	10.7859	10	10	0	0	0	0.000243422	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98964	10	10	0	0	0	5.29177e-06	0	0	2	0	0	0	
-C	2	7.58965	10	10	1.03588e-05	0	0	5.82095e-05	0	0	1	3	0	0	
-C	3	9.18977	10	10	6.06392e-06	0	0	5.29177e-06	0	0	2	4	0	0	
-C	4	10.7899	10	10	-1.18552e-05	0	0	-1.58753e-05	0	0	3	5	0	0	
-C	5	12.39	10	10	-7.0557e-06	0	0	-5.29177e-05	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	0.000137586	0	0	2	0	0	0	
+C	2	7.58621	10	10	0	0	0	-1.58753e-05	0	0	1	3	0	0	
+C	3	9.18644	10	10	0	0	0	-0.000407466	0	0	2	4	0	0	
+C	4	10.7859	10	10	0	0	0	0.000232838	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98964	10	10	5.29177e-07	0	0	6.8793e-05	0	0	2	0	0	0	
-C	2	7.58977	10	10	0.000113947	0	0	-6.8793e-05	0	0	1	3	0	0	
-C	3	9.18977	10	10	6.06392e-06	0	0	6.8793e-05	0	0	2	4	0	0	
-C	4	10.7899	10	10	-3.55657e-05	0	0	-1.58753e-05	0	0	3	5	0	0	
-C	5	12.39	10	10	-5.29177e-06	0	0	-5.29177e-05	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	0.000137586	0	0	2	0	0	0	
+C	2	7.58621	10	10	0	0	0	-5.82095e-05	0	0	1	3	0	0	
+C	3	9.18636	10	10	0	0	0	-0.000322798	0	0	2	4	0	0	
+C	4	10.7859	10	10	0	0	0	0.000190504	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98964	10	10	5.73275e-07	0	0	3.70424e-05	0	0	2	0	0	0	
-C	2	7.58971	10	10	-6.17214e-05	0	0	1.35525e-21	0	0	1	3	0	0	
-C	3	9.18978	10	10	6.56925e-06	0	0	2.64589e-05	0	0	2	4	0	0	
-C	4	10.7899	10	10	-1.58753e-06	0	0	-1.05835e-05	0	0	3	5	0	0	
-C	5	12.39	10	10	-5.29177e-06	0	0	-5.29177e-05	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	0.000137586	0	0	2	0	0	0	
+C	2	7.58621	10	10	0	0	0	-0.000211671	0	0	1	3	0	0	
+C	3	9.18607	10	10	0	0	0	3.70424e-05	0	0	2	4	0	0	
+C	4	10.786	10	10	0	0	0	-6.8793e-05	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	0.000105835	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98964	10	10	6.68821e-07	0	0	3.70424e-05	0	0	2	0	0	0	
-C	2	7.58971	10	10	0	0	0	5.29177e-06	0	0	1	3	0	0	
-C	3	9.18979	10	10	4.10578e-06	0	0	1.58753e-05	0	0	2	4	0	0	
-C	4	10.7899	10	10	-3.17506e-06	0	0	-5.29177e-06	0	0	3	5	0	0	
-C	5	12.39	10	10	-5.29177e-06	0	0	-5.29177e-05	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	0.000137586	0	0	2	0	0	0	
+C	2	7.58621	10	10	0	0	0	-0.000211671	0	0	1	3	0	0	
+C	3	9.18607	10	10	0	0	0	3.70424e-05	0	0	2	4	0	0	
+C	4	10.786	10	10	0	0	0	-6.8793e-05	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	0.000105835	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98965	10	10	3.70424e-06	0	0	3.17506e-05	0	0	2	0	0	0	
-C	2	7.58971	10	10	5.29177e-07	0	0	1.05835e-05	0	0	1	3	0	0	
-C	3	9.18979	10	10	6.15867e-06	0	0	1.58753e-05	0	0	2	4	0	0	
-C	4	10.7899	10	10	-3.17506e-06	0	0	-5.29177e-06	0	0	3	5	0	0	
-C	5	12.39	10	10	-5.29177e-06	0	0	-5.29177e-05	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	0.000137586	0	0	2	0	0	0	
+C	2	7.58621	10	10	0	0	0	-0.000211671	0	0	1	3	0	0	
+C	3	9.18607	10	10	0	0	0	3.70424e-05	0	0	2	4	0	0	
+C	4	10.786	10	10	0	0	0	-6.8793e-05	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	0.000105835	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98967	10	10	2.22254e-05	0	0	2.11671e-05	0	0	2	0	0	0	
-C	2	7.58971	10	10	1.05835e-06	0	0	2.11671e-05	0	0	1	3	0	0	
-C	3	9.18979	10	10	1.58753e-06	0	0	1.58753e-05	0	0	2	4	0	0	
-C	4	10.7899	10	10	-5.29177e-07	0	0	-5.29177e-06	0	0	3	5	0	0	
-C	5	12.39	10	10	-5.29177e-06	0	0	-5.29177e-05	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	0.000137586	0	0	2	0	0	0	
+C	2	7.58621	10	10	0	0	0	-0.000211671	0	0	1	3	0	0	
+C	3	9.18607	10	10	0	0	0	3.70424e-05	0	0	2	4	0	0	
+C	4	10.786	10	10	0	0	0	-6.8793e-05	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	0.000105835	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98971	10	10	4.44509e-05	0	0	0	0	0	2	0	0	0	
-C	2	7.58971	10	10	2.11671e-06	0	0	4.23342e-05	0	0	1	3	0	0	
-C	3	9.18979	10	10	1.58753e-06	0	0	1.58753e-05	0	0	2	4	0	0	
-C	4	10.7899	10	10	-5.29177e-07	0	0	-5.29177e-06	0	0	3	5	0	0	
-C	5	12.39	10	10	-5.29177e-06	0	0	-5.29177e-05	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	0.000137586	0	0	2	0	0	0	
+C	2	7.58621	10	10	0	0	0	-0.000211671	0	0	1	3	0	0	
+C	3	9.18607	10	10	0	0	0	3.70424e-05	0	0	2	4	0	0	
+C	4	10.786	10	10	0	0	0	-6.8793e-05	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	0.000105835	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98971	10	10	0	0	0	0	0	0	2	0	0	0	
-C	2	7.58971	10	10	4.23342e-06	0	0	0	0	0	1	3	0	0	
-C	3	9.1898	10	10	1.58753e-06	0	0	0	0	0	2	4	0	0	
-C	4	10.7899	10	10	-5.29177e-07	0	0	0	0	0	3	5	0	0	
-C	5	12.39	10	10	-5.29177e-06	0	0	0	0	0	4	0	0	0	
+C	1	5.98595	10	10	0	0	0	0	0	0	2	0	0	0	
+C	2	7.58621	10	10	0	0	0	0	0	0	1	3	0	0	
+C	3	9.18607	10	10	0	0	0	0	0	0	2	4	0	0	
+C	4	10.786	10	10	0	0	0	0	0	0	3	5	0	0	
+C	5	12.3858	10	10	0	0	0	0	0	0	4	0	0	0	
Index: tests/Python/ForceAnnealing/post/two_carbon_test_no-bondgraph.data
===================================================================
--- tests/Python/ForceAnnealing/post/two_carbon_test_no-bondgraph.data	(revision be729b8e140cb18e4bfb30b4ede99f2aac8db370)
+++ tests/Python/ForceAnnealing/post/two_carbon_test_no-bondgraph.data	(revision 038ccd39c6a92b2b7929d93265ae28b44ab2fb5d)
@@ -4,12 +4,9 @@
 C	2	8.7	10	10	0	0	0	0.264589	0	0	1	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	7.57354	10	10	-0.0264589	0	0	-0.236585	0	0	2	0	0	0	
-C	2	8.72646	10	10	0.0264589	0	0	0.236585	0	0	1	0	0	0	
+C	1	7.57354	10	10	0	0	0	-0.236585	0	0	2	0	0	0	
+C	2	8.72646	10	10	0	0	0	0.236585	0	0	1	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	7.35001	10	10	-0.22353	0	0	-1.05835e-05	0	0	2	0	0	0	
-C	2	8.94999	10	10	0.22353	0	0	1.05835e-05	0	0	1	0	0	0	
-# ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	7.35	10	10	-1e-05	0	0	0	0	0	2	0	0	0	
-C	2	8.95	10	10	1e-05	0	0	0	0	0	1	0	0	0	
+C	1	7.35001	10	10	0	0	0	-1.05835e-05	0	0	2	0	0	0	
+C	2	8.94999	10	10	0	0	0	1.05835e-05	0	0	1	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
 C	1	7.35	10	10	0	0	0	0	0	0	2	0	0	0	
@@ -48,2 +45,5 @@
 C	1	7.35	10	10	0	0	0	0	0	0	2	0	0	0	
 C	2	8.95	10	10	0	0	0	0	0	0	1	0	0	0	
+# ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
+C	1	7.35	10	10	0	0	0	0	0	0	2	0	0	0	
+C	2	8.95	10	10	0	0	0	0	0	0	1	0	0	0	
Index: tests/Python/ForceAnnealing/testsuite-python-forceannealing-ising.at
===================================================================
--- tests/Python/ForceAnnealing/testsuite-python-forceannealing-ising.at	(revision be729b8e140cb18e4bfb30b4ede99f2aac8db370)
+++ tests/Python/ForceAnnealing/testsuite-python-forceannealing-ising.at	(revision 038ccd39c6a92b2b7929d93265ae28b44ab2fb5d)
@@ -20,5 +20,4 @@
 AT_SETUP([Python externalization - Force Annealing without bondgraph on 2-body Ising model])
 AT_KEYWORDS([python force-annealing ising])
-AT_XFAIL_IF([/bin/true])
 
 # we use forces from a simple Ising model with 2 "carbon" atoms in a row along the x axis
Index: tests/regression/Molecules/ForceAnnealing/post/test.conf
===================================================================
--- tests/regression/Molecules/ForceAnnealing/post/test.conf	(revision be729b8e140cb18e4bfb30b4ede99f2aac8db370)
+++ tests/regression/Molecules/ForceAnnealing/post/test.conf	(revision 038ccd39c6a92b2b7929d93265ae28b44ab2fb5d)
@@ -83,13 +83,13 @@
 Ion_Type2_3	7.283585982	3.275186040	3.535886037	0	1.000000e-01	0.000000e+00	0.000000e+00	 # molecule nr 10
 
-Ion_Type1_1	9.784972366	2.642999629	2.645886050	0	2.886421e-03	-2.886421e-03	0.000000e+00	 # molecule nr 0
-Ion_Type1_2	9.784972366	2.642999629	4.425886024	0	2.886421e-03	-2.886421e-03	0.000000e+00	 # molecule nr 1
-Ion_Type1_3	10.674926029	3.901650457	3.535886037	0	2.886421e-03	-2.886421e-03	0.000000e+00	 # molecule nr 2
-Ion_Type1_4	8.535672384	4.784999597	2.645886050	0	2.886421e-03	-2.886421e-03	0.000000e+00	 # molecule nr 3
-Ion_Type1_5	8.535672384	4.784999597	4.425886024	0	2.886421e-03	-2.886421e-03	0.000000e+00	 # molecule nr 4
-Ion_Type1_6	6.391226967	3.906942228	3.535886037	0	-2.405351e-03	2.405351e-03	0.000000e+00	 # molecule nr 5
-Ion_Type1_7	7.281180631	2.648291401	2.645886050	0	-2.405351e-03	2.405351e-03	0.000000e+00	 # molecule nr 6
-Ion_Type1_8	7.281180631	2.648291401	4.425886024	0	-2.405351e-03	2.405351e-03	0.000000e+00	 # molecule nr 7
-Ion_Type2_1	9.779680594	3.277591391	3.535886037	0	-2.405351e-03	2.405351e-03	0.000000e+00	 # molecule nr 8
-Ion_Type2_2	8.530380612	4.160991378	3.535886037	0	-2.405351e-03	2.405351e-03	0.000000e+00	 # molecule nr 9
-Ion_Type2_3	7.281180631	3.277591391	3.535886037	0	-2.405351e-03	2.405351e-03	0.000000e+00	 # molecule nr 10
+Ion_Type1_1	9.784972366	2.642999629	2.645886050	0 # molecule nr 0
+Ion_Type1_2	9.784972366	2.642999629	4.425886024	0 # molecule nr 1
+Ion_Type1_3	10.674926029	3.901650457	3.535886037	0 # molecule nr 2
+Ion_Type1_4	8.535672384	4.784999597	2.645886050	0 # molecule nr 3
+Ion_Type1_5	8.535672384	4.784999597	4.425886024	0 # molecule nr 4
+Ion_Type1_6	6.391226967	3.906942228	3.535886037	0 # molecule nr 5
+Ion_Type1_7	7.281180631	2.648291401	2.645886050	0 # molecule nr 6
+Ion_Type1_8	7.281180631	2.648291401	4.425886024	0 # molecule nr 7
+Ion_Type2_1	9.779680594	3.277591391	3.535886037	0 # molecule nr 8
+Ion_Type2_2	8.530380612	4.160991378	3.535886037	0 # molecule nr 9
+Ion_Type2_3	7.281180631	3.277591391	3.535886037	0 # molecule nr 10
Index: tests/regression/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at
===================================================================
--- tests/regression/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at	(revision be729b8e140cb18e4bfb30b4ede99f2aac8db370)
+++ tests/regression/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at	(revision 038ccd39c6a92b2b7929d93265ae28b44ab2fb5d)
@@ -20,5 +20,4 @@
 AT_SETUP([Molecules - Force Annealing])
 AT_KEYWORDS([molecules force-annealing])
-AT_XFAIL_IF([/bin/true])
 
 file=test.conf
@@ -62,5 +61,4 @@
 AT_SETUP([Molecules - Force Annealing with Redo])
 AT_KEYWORDS([molecules force-annealing redo])
-AT_XFAIL_IF([/bin/true])
 
 file=test.conf