Index: src/Actions/FragmentationAction/FragmentationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.cpp	(revision c7c6155018c548bf8d894a8be3261b2de7dc863c)
+++ src/Actions/FragmentationAction/FragmentationAction.cpp	(revision 39a07a9af70948974410186c39e159aacc6a82a4)
@@ -100,7 +100,4 @@
   }
 
-  // get whether to saturate or not
-  const enum HydrogenSaturation saturation =  params.DoSaturation.get() ? DoSaturate : DontSaturate;
-
   // parse in Adjacency file
   boost::shared_ptr<AdjacencyList> FileChecker;
@@ -143,5 +140,6 @@
     LOG(2, "INFO: Fragmenting in molecule " << mol->getName() << " in " << clusters.count(mol) 
         << " atoms, out of " << mol->getAtomCount() << ".");
-    Fragmentation Fragmenter(mol, *FileChecker, saturation);
+    const enum HydrogenTreatment treatment =  params.HowtoTreatHydrogen.get() ? ExcludeHydrogen : IncludeHydrogen;
+    Fragmentation Fragmenter(mol, *FileChecker, treatment);
 
     // perform fragmentation
@@ -167,4 +165,5 @@
   // store molecule's fragment to file
   {
+    const enum HydrogenSaturation saturation =  params.DoSaturation.get() ? DoSaturate : DontSaturate;
     ExportGraph_ToFiles exporter(TotalGraph, saturation);
     exporter.setPrefix(params.prefix.get());
Index: src/Actions/FragmentationAction/FragmentationAction.def
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.def	(revision c7c6155018c548bf8d894a8be3261b2de7dc863c)
+++ src/Actions/FragmentationAction/FragmentationAction.def	(revision 39a07a9af70948974410186c39e159aacc6a82a4)
@@ -20,13 +20,14 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
-#define paramtypes (std::string)(double)(unsigned int)(bool)(std::vector<std::string>)
-#define paramtokens ("fragment-molecule")("distance")("order")("DoSaturate")("output-types")
-#define paramdescriptions ("prefix of each fragment file")("distance in space")("order of a discretization, dissection, ...")("do saturate dangling bonds with hydrogen")("type(s) of parsers that output fragment config files")
-#define paramdefaults (NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(PARAM_DEFAULT(true)) (PARAM_DEFAULT(std::vector<std::string>(1, std::string("pcp"))))
-#define paramreferences (prefix)(distance)(order)(DoSaturation)(types)
+#define paramtypes (std::string)(double)(unsigned int)(bool)(bool)(std::vector<std::string>)
+#define paramtokens ("fragment-molecule")("distance")("order")("DoSaturate")("ExcludeHydrogen")("output-types")
+#define paramdescriptions ("prefix of each fragment file")("distance in space")("order of a discretization, dissection, ...")("do saturate dangling bonds with hydrogen")("whether to exclude hydrogen in the bond graph dissection or not")("type(s) of parsers that output fragment config files")
+#define paramdefaults (NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(PARAM_DEFAULT(true))(PARAM_DEFAULT(true))(PARAM_DEFAULT(std::vector<std::string>(1, std::string("pcp"))))
+#define paramreferences (prefix)(distance)(order)(DoSaturation)(HowtoTreatHydrogen)(types)
 #define paramvalids \
 (DummyValidator< std::string >()) \
 (BoxLengthValidator()) \
 (DummyValidator< unsigned int >()) \
+(DummyValidator< bool >()) \
 (DummyValidator< bool >()) \
 (STLVectorValidator< std::vector<std::string> >(1, 10, ParserTypeValidator()))
Index: src/Actions/FragmentationAction/FragmentationAutomationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision c7c6155018c548bf8d894a8be3261b2de7dc863c)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 39a07a9af70948974410186c39e159aacc6a82a4)
@@ -65,5 +65,4 @@
 #include "Fragmentation/ForceMatrix.hpp"
 #include "Fragmentation/Fragmentation.hpp"
-#include "Fragmentation/HydrogenSaturation_enum.hpp"
 #include "Fragmentation/Homology/HomologyContainer.hpp"
 #include "Fragmentation/Homology/HomologyGraph.hpp"