Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
+++ tests/regression/Makefile.am	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -90,8 +90,4 @@
 	$(srcdir)/Parser/Mpqc/testsuite-parser-mpqc-load.at \
 	$(srcdir)/Parser/Mpqc/testsuite-parser-mpqc-save.at \
-	$(srcdir)/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at \
-	$(srcdir)/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-basis.at \
-	$(srcdir)/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-maxiterations.at \
-	$(srcdir)/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-theory.at \
 	$(srcdir)/Parser/Pcp/testsuite-parser-pcp-empty.at \
 	$(srcdir)/Parser/Pcp/testsuite-parser-pcp-load.at \
@@ -109,4 +105,9 @@
 	$(srcdir)/Parser/Psi3/testsuite-parser-psi3-load.at \
 	$(srcdir)/Parser/Psi3/testsuite-parser-psi3-save.at \
+	$(srcdir)/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at \
+	$(srcdir)/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at \
+	$(srcdir)/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at \
+	$(srcdir)/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at \
+	$(srcdir)/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at \
 	$(srcdir)/Parser/Tremolo/testsuite-parser-tremolo-empty.at \
 	$(srcdir)/Parser/Tremolo/testsuite-parser-tremolo-load.at \
Index: tests/regression/Parser/Mpqc-SetParameters/post/testCLHF.in
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/post/testCLHF.in	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
+++ 	(revision )
@@ -1,23 +1,0 @@
-mpqc: (
-	savestate = no
-	do_gradient = yes
-	mole<CLKS>: (
-		functional<StdDenFunctional>:(name=B3LYP)
-		molecule = $:molecule
-		basis = $:basis
-		maxiter = 499
-		memory = 16000000
-	)
-)
-molecule<Molecule>: (
-	unit = angstrom
-	{ atoms geometry } = {
-		O [ -0.505735	0	0 ]
-		H [ 0.252867	0	0.504284 ]
-		H [ 0.252867	0	-0.504284 ]
-	}
-)
-basis<GaussianBasisSet>: (
-	name = "4-31G"
-	molecule = $:molecule
-)
Index: tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
+++ 	(revision )
@@ -1,3 +1,0 @@
-1
-	Created by molecuilder on Tue Oct  6 18:34:23 2009
-H	10	10	10
Index: tests/regression/Parser/Mpqc-SetParameters/pre/testCLHF.in
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/pre/testCLHF.in	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
+++ 	(revision )
@@ -1,22 +1,0 @@
-mpqc: (
-	savestate = no
-	do_gradient = yes
-	mole<CLHF>: (
-		molecule = $:molecule
-		basis = $:basis
-		maxiter = 1000
-		memory = 16000000
-	)
-)
-molecule<Molecule>: (
-	unit = angstrom
-	{ atoms geometry } = {
-		O [ -0.505735	0	0 ]
-		H [ 0.252867	0	0.504284 ]
-		H [ 0.252867	0	-0.504284 ]
-	}
-)
-basis<GaussianBasisSet>: (
-	name = "3-21G"
-	molecule = $:molecule
-)
Index: tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-basis.at
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-basis.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
+++ 	(revision )
@@ -1,28 +1,0 @@
-### MPQC basis
-
-AT_SETUP([Parser - MPQC - set basis])
-AT_KEYWORDS([options mpqc set-mpqc-parameters basis])
-
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "basis = 4-31G"], 0, [stdout], [ignore])
-AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - MPQC - set basis with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([options mpqc set-mpqc-parameters basis undo])
-
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "basis = 4-31G" --undo], 0, [stdout], [ignore])
-AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - MPQC - set basis with Redo])
-AT_KEYWORDS([options mpqc set-mpqc-parameters basis redo])
-
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "basis = 4-31G" --undo --redo], 0, [stdout], [ignore])
-AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-maxiterations.at
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-maxiterations.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
+++ 	(revision )
@@ -1,29 +1,0 @@
-### MPQC basis
-
-AT_SETUP([Parser - MPQC - set maxiter])
-AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter])
-
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "maxiter = 499"], 0, [stdout], [ignore])
-AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - MPQC - set maxiter with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter undo])
-
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "maxiter = 499" --undo], 0, [stdout], [ignore])
-AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - MPQC - set maxiter with Redo])
-AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter redo])
-
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "maxiter = 499" --undo --redo], 0, [stdout], [ignore])
-AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
Index: tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-theory.at
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-theory.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
+++ 	(revision )
@@ -1,29 +1,0 @@
-### MPQC basis
-
-AT_SETUP([Parser - MPQC - set theory])
-AT_KEYWORDS([options mpqc set-mpqc-parameters theory])
-
-AT_CHECK([../../molecuilder -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "theory=CLKS"], 0, [stdout], [ignore])
-AT_CHECK([fgrep "mole<CLKS>" test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - MPQC - set theory with Undo])
-AT_KEYWORDS([options mpqc set-mpqc-parameters theory undo])
-
-AT_CHECK([../../molecuilder -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "theory=CLKS" --undo], 0, [stdout], [ignore])
-AT_CHECK([fgrep "reference<CLHF>" test.in], 0, [ignore], [ignore])
-AT_CHECK([fgrep "mole<MBPT2>" test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - MPQC - set theory with Redo])
-AT_KEYWORDS([options mpqc set-mpqc-parameters theory redo])
-
-AT_CHECK([../../molecuilder -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "theory=CLKS" --undo --redo], 0, [stdout], [ignore])
-AT_CHECK([fgrep "mole<CLKS>" test.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
Index: tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
+++ 	(revision )
@@ -1,28 +1,0 @@
-### MPQC basis
-
-AT_SETUP([Parser - MPQC - check in file])
-AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory])
-
-AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/testCLHF.in -v 1 --set-mpqc-parameters "basis = 4-31G;maxiter=499;theory=CLKS;"], 0, [stdout], [ignore])
-AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/post/testCLHF.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - MPQC - check in file with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory undo])
-
-AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/testCLHF.in -v 1 --set-mpqc-parameters "basis = 4-31G;maxiter=499;theory=CLKS;" --undo], 0, [stdout], [ignore])
-AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/post/testCLHF.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Parser - MPQC - check in file with Redo])
-AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory redo])
-
-AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/pre/testCLHF.in -v 1 --set-mpqc-parameters "basis = 4-31G;maxiter=499;theory=CLKS;" --undo --redo], 0, [stdout], [ignore])
-AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc-SetParameters/post/testCLHF.in], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
+++ tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -0,0 +1,23 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLKS>: (
+		functional<StdDenFunctional>:(name=B3LYP)
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 499
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "4-31G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
+++ tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Tue Oct  6 18:34:23 2009
+H	10	10	10
Index: tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
+++ tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -0,0 +1,22 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLHF>: (
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 1000
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		O [ -0.505735	0	0 ]
+		H [ 0.252867	0	0.504284 ]
+		H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
+++ tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -0,0 +1,28 @@
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set basis])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G"], 0, [stdout], [ignore])
+AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set basis with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis undo])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" --undo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set basis with Redo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis redo])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
+++ tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -0,0 +1,29 @@
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set maxiter])
+AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "maxiter = 499"], 0, [stdout], [ignore])
+AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set maxiter with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter undo])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "maxiter = 499" --undo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set maxiter with Redo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter redo])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "maxiter = 499" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
+++ tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -0,0 +1,29 @@
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set theory])
+AT_KEYWORDS([options mpqc set-mpqc-parameters theory])
+
+AT_CHECK([../../molecuilder -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "theory=CLKS"], 0, [stdout], [ignore])
+AT_CHECK([fgrep "mole<CLKS>" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set theory with Undo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters theory undo])
+
+AT_CHECK([../../molecuilder -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "theory=CLKS" --undo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "reference<CLHF>" test.in], 0, [ignore], [ignore])
+AT_CHECK([fgrep "mole<MBPT2>" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set theory with Redo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters theory redo])
+
+AT_CHECK([../../molecuilder -i test.in -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "theory=CLKS" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "mole<CLKS>" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
+++ tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -0,0 +1,28 @@
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - check in file])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory])
+
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G;maxiter=499;theory=CLKS;"], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - check in file with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory undo])
+
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G;maxiter=499;theory=CLKS;" --undo], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - check in file with Redo])
+AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory redo])
+
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G;maxiter=499;theory=CLKS;" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/SetParameters/Psi3/pre/test.xyz
===================================================================
--- tests/regression/Parser/SetParameters/Psi3/pre/test.xyz	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
+++ tests/regression/Parser/SetParameters/Psi3/pre/test.xyz	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Tue Oct  6 18:34:23 2009
+H	10	10	10
Index: tests/regression/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at
===================================================================
--- tests/regression/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
+++ tests/regression/Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -0,0 +1,28 @@
+### PSI3 basis
+
+AT_SETUP([Parser - PSI3 - set wavefunction])
+AT_KEYWORDS([options psi3 set-psi3-parameters wavefunction])
+
+AT_CHECK([../../molecuilder -i test.psi -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Psi3/pre/test.xyz -v 1 --set-parser-parameters "psi3" --parser-parameters "wfn=mp2"], 0, [stdout], [ignore])
+AT_CHECK([grep "wfn.*mp2" test.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - PSI3 - set wavefunction with Undo])
+AT_KEYWORDS([options psi3 set-psi3-parameters wavefunction undo])
+
+AT_CHECK([../../molecuilder -i test.psi -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Psi3/pre/test.xyz -v 1 --set-parser-parameters "psi3" --parser-parameters "wfn=mp2" --undo], 0, [stdout], [ignore])
+AT_CHECK([grep "wfn.*scf" test.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - PSI3 - set wavefunction with Redo])
+AT_KEYWORDS([options psi3 set-psi3-parameters theory redo])
+
+AT_CHECK([../../molecuilder -i test.psi -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Psi3/pre/test.xyz -v 1 --set-parser-parameters "psi3" --parser-parameters "wfn=mp2" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([grep "wfn.*mp2" test.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Parser/testsuite-parser.at
===================================================================
--- tests/regression/Parser/testsuite-parser.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
+++ tests/regression/Parser/testsuite-parser.at	(revision 41d023ff8dc20a2b26d06e7c4960972918c6e500)
@@ -1,9 +1,4 @@
 AT_BANNER([MoleCuilder - Parser])
 
-# set MPQC basis, theory and maxiter
-m4_include([Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at])
-m4_include([Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-basis.at])
-m4_include([Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-maxiterations.at])
-m4_include([Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-theory.at])
 
 # parsing mpqc
@@ -11,4 +6,10 @@
 m4_include([Parser/Mpqc/testsuite-parser-mpqc-load.at])
 m4_include([Parser/Mpqc/testsuite-parser-mpqc-save.at])
+
+# set mpqc basis, theory and maxiter
+m4_include([Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at])
+m4_include([Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at])
+m4_include([Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at])
+m4_include([Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at])
 
 # parsing pcp
@@ -24,4 +25,7 @@
 m4_include([Parser/Pdb/testsuite-parser-pdb-save.at])
 m4_include([Parser/Pdb/testsuite-parser-pdb-with-conects.at])
+
+# set psi3 wavefunction
+m4_include([Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at])
 
 # bugfix checks